Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor2.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor2.java	(revision 512)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor2.java	(revision 513)
@@ -66,7 +66,7 @@
 import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
 import org.txm.lexicaltable.rcp.handlers.MergeLines;
 import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditorPart;
 import org.txm.rcp.editors.TableKeyListener;
@@ -161,7 +161,7 @@
 		} else if (index == -1) { // freqs
 			try {
 				itable.sortByFreqs(reverse);
-				StatusLine.setMessage(Messages.SORT_DONE);
+				StatusLine.setMessage(RCPMessages.SORT_DONE);
 			} catch (Exception e2) {
 				org.txm.rcp.utils.Logger.printStackTrace(e2);
 			}
@@ -205,7 +205,7 @@
 				System.out.println(NLS.bind(LexicalTableUIMessages.LexicalTableEditor_5, nLinesSpinner.getSelection(), minfreqspinner.getSelection()));
 
 				MessageBox messageBox = new MessageBox(e.display.getActiveShell(), SWT.ICON_QUESTION | SWT.YES | SWT.NO);
-				messageBox.setMessage(Messages.DeleteLines_1);
+				messageBox.setMessage(RCPMessages.DeleteLines_1);
 				int response = messageBox.open();
 				if (response != SWT.YES)
 					return;
@@ -411,7 +411,7 @@
 		formColumn.setLabelProvider(clp);
 		
 		freqColumn = new TableViewerColumn(viewer, SWT.LEFT);
-		freqColumn.getColumn().setText(Messages.FrequencyListEditorInput_4); 
+		freqColumn.getColumn().setText(RCPMessages.FrequencyListEditorInput_4); 
 		freqColumn.getColumn().setWidth(200);
 		freqColumn.getColumn().addSelectionListener(new ColumnSelectionListener(freqColumn, -1));
 		freqColumn.setLabelProvider(clp);
@@ -609,7 +609,7 @@
 		 */
 		@Override
 		public void widgetSelected(SelectionEvent e) {
-			StatusLine.setMessage(Messages.SORT_COLUMN);
+			StatusLine.setMessage(RCPMessages.SORT_COLUMN);
 			sort(col, index);
 			StatusLine.setMessage(""); //$NON-NLS-1$
 		}
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java	(revision 512)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java	(revision 513)
@@ -45,7 +45,7 @@
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -158,7 +158,7 @@
 			anaPropLabel.setText(mess);
 		else
 			anaPropLabel
-					.setText(Messages.Property);
+					.setText(RCPMessages.Property);
 		anaPropLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				false, false));
 
@@ -176,7 +176,7 @@
 		anaPropCombo.select(iword);
 
 		maxlinesLabel = new Label(composite, SWT.NONE);
-		maxlinesLabel.setText(Messages.NumberOfLines);
+		maxlinesLabel.setText(RCPMessages.NumberOfLines);
 		maxlinesLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				true, false));
 		maxlinesSpinner = new Spinner(composite, SWT.BORDER);
@@ -207,8 +207,8 @@
 		int propIndex = anaPropCombo.getSelectionIndex();
 		if (propIndex == -1) {
 			MessageDialog.openError(getShell(),
-					Messages.Invalid_analysis_property,
-					Messages.Structure_field_not_empty);
+					RCPMessages.Invalid_analysis_property,
+					RCPMessages.Structure_field_not_empty);
 			return;
 		}
 		property = properties.get(propIndex);
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/TableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/TableEditor.java	(revision 512)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/TableEditor.java	(revision 513)
@@ -42,7 +42,7 @@
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.part.EditorPart;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.Tablable;
 import org.txm.rcp.editors.TableKeyListener;
 import org.txm.rcp.editors.TableSorter;
@@ -132,7 +132,7 @@
 		table.setLinesVisible(true);
 
 		if (!(iEditorInput instanceof Tablable)) {
-			throw new IllegalArgumentException(Messages.TableEditor_0);
+			throw new IllegalArgumentException(RCPMessages.TableEditor_0);
 		}
 
 		Tablable tableInput = (Tablable) iEditorInput;
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditorInput.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditorInput.java	(revision 512)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditorInput.java	(revision 513)
@@ -40,7 +40,7 @@
 import org.eclipse.ui.part.EditorPart;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.rcp.editors.TXMResultEditorInput;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.Tablable;
 import org.txm.rcp.editors.input.AbstractTablable;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -94,14 +94,14 @@
 
 			@Override
 			public String[] getColumnTitles() {
-				return new String[] { Messages.FrequencyListEditorInput_3,
-						Messages.FrequencyListEditorInput_4 };
+				return new String[] { RCPMessages.FrequencyListEditorInput_3,
+						RCPMessages.FrequencyListEditorInput_4 };
 			}
 
 			@Override
 			public String[] getColumnTypes() {
-				return new String[] { Messages.FrequencyListEditorInput_5,
-						Messages.FrequencyListEditorInput_6 };
+				return new String[] { RCPMessages.FrequencyListEditorInput_5,
+						RCPMessages.FrequencyListEditorInput_6 };
 			}
 
 			@Override
@@ -117,7 +117,7 @@
 								v = res.getRow(i).asIntArray();
 							} catch (StatException e) {
 								System.err.println(NLS.bind(
-										Messages.GraphicalLogger_0, e));
+										RCPMessages.GraphicalLogger_0, e));
 							}
 							row.add(v);
 						}
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java	(revision 512)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java	(revision 513)
@@ -37,7 +37,7 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditor2;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 /**
  * Allow the user to delete lines in a Lexical Table.
  * 
@@ -72,7 +72,7 @@
 			return;
 
 		if (selection.length == LTeditor.getLexicalTable().getNRows()) {
-			System.out.println(Messages.DeleteLines_0);
+			System.out.println(RCPMessages.DeleteLines_0);
 			return;
 		}
 
@@ -81,7 +81,7 @@
 			Shell shell = d.getActiveShell();
 			MessageBox messageBox = new MessageBox(shell, SWT.ICON_QUESTION
 					| SWT.YES | SWT.NO);
-			messageBox.setMessage(Messages.DeleteLines_1);
+			messageBox.setMessage(RCPMessages.DeleteLines_1);
 			int response = messageBox.open();
 			if (response != SWT.YES)
 				return;
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 512)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 513)
@@ -57,7 +57,7 @@
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditor2;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditorInput;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.utils.JobHandler;
@@ -116,15 +116,15 @@
 		if (s instanceof Index) {
 			List<Index> vocabularies = selection.toList();
 
-			System.out.println(Messages.ComputeLexicalTable_3);
+			System.out.println(RCPMessages.ComputeLexicalTable_3);
 			ArrayList<String> choices = new ArrayList<String>();
-			choices.add(Messages.ComputeLexicalTable_16);
-			choices.add(Messages.ComputeLexicalTable_12);
+			choices.add(RCPMessages.ComputeLexicalTable_16);
+			choices.add(RCPMessages.ComputeLexicalTable_12);
 			ListDialog dialog = new ListDialog(window.getShell());
 			dialog.setInput(choices);
 			dialog.setLabelProvider(new LabelProvider());
 			dialog.setContentProvider(new ArrayContentProvider());
-			dialog.setTitle(Messages.ComputeLexicalTable_13);
+			dialog.setTitle(RCPMessages.ComputeLexicalTable_13);
 
 			int ret = dialog.open();
 			boolean useAllOccurrences = false;
@@ -134,7 +134,7 @@
 				if(dialog.getResult().length == 0)
 					return null;
 				String sel = (String) dialog.getResult()[0];
-				if(sel.equals(Messages.ComputeLexicalTable_16))
+				if(sel.equals(RCPMessages.ComputeLexicalTable_16))
 					useAllOccurrences = true;
 			} else {
 				//System.out.println("cancel");
@@ -165,13 +165,13 @@
 	private void computeWithLexicalTableAble(final LexicalTable lexicalTableAble) {
 
 		JobHandler jobhandler = new JobHandler(
-				Messages.ComputeLexicalTable_0) {
+				RCPMessages.ComputeLexicalTable_0) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
 					JobsTimer.start();
-					monitor.beginTask(NLS.bind(Messages.ComputeLexicalTable_1, lexicalTableAble.getName(), "none"), 100);
+					monitor.beginTask(NLS.bind(RCPMessages.ComputeLexicalTable_1, lexicalTableAble.getName(), "none"), 100);
 
 					this.acquireSemaphore();
 					//table = lexicalTableAble.toLexicalTable();
@@ -191,7 +191,7 @@
 							IWorkbenchPage page = window.getActivePage();
 							LexicalTableEditorInput editorInput = new LexicalTableEditorInput(table);
 							try {
-								StatusLine.setMessage(Messages.ComputeLexicalTable_10);
+								StatusLine.setMessage(RCPMessages.ComputeLexicalTable_10);
 								page.openEditor(editorInput, LexicalTableEditor2.ID);
 							} catch (PartInitException e) {
 								org.txm.rcp.utils.Logger.printStackTrace(e);
@@ -242,7 +242,7 @@
 		final int Fmin;
 		final int vmax;
 		
-		String title = Messages.bind(Messages.ComputeLexicalTable_0, partition.getName());
+		String title = RCPMessages.bind(RCPMessages.ComputeLexicalTable_0, partition.getName());
 		LexicalTableDialog d = new LexicalTableDialog(window.getShell(), partition.getCorpus(), title);
 		
 		d.setFminAndVMax(TXMPreferences.getInt(LexicalTablePreferences.F_MIN, LexicalTablePreferences.PREFERENCES_NODE), 
@@ -254,13 +254,13 @@
 			vmax = d.getMaxLines();
 			// PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().findView(CorporaView.ID);
 			JobHandler jobhandler = new JobHandler(
-					Messages.bind(Messages.ComputeLexicalTable_0, partition.getName())) {
+					RCPMessages.bind(RCPMessages.ComputeLexicalTable_0, partition.getName())) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					this.runInit(monitor);
 					try {
 						JobsTimer.start();
-						monitor.beginTask(NLS.bind(Messages.ComputeLexicalTable_1, partition.getName(), property), 100);
+						monitor.beginTask(NLS.bind(RCPMessages.ComputeLexicalTable_1, partition.getName(), property), 100);
 
 						this.acquireSemaphore();
 						table = LexicalTableFactory.getLexicalTable(partition, property, Fmin);
@@ -286,7 +286,7 @@
 								IWorkbenchPage page = window.getActivePage();
 								LexicalTableEditorInput editorInput = new LexicalTableEditorInput(table);
 								try {
-									StatusLine.setMessage(Messages.ComputeLexicalTable_10);
+									StatusLine.setMessage(RCPMessages.ComputeLexicalTable_10);
 									page.openEditor(editorInput, LexicalTableEditor2.ID); //$NON-NLS-1$
 								} catch (PartInitException e) {
 									org.txm.rcp.utils.Logger.printStackTrace(e);
@@ -435,8 +435,8 @@
 		final List<Index> vocabularies = fullvocabularies.subList(0, 1);
 		for (Index voc : vocabularies) {
 			if (!voc.isComputedWithPartition()) {
-				System.out.println(Messages.ComputeLexicalTable_5);
-				StatusLine.setMessage(Messages.ComputeLexicalTable_5);
+				System.out.println(RCPMessages.ComputeLexicalTable_5);
+				StatusLine.setMessage(RCPMessages.ComputeLexicalTable_5);
 				return false;
 			}
 		}
@@ -444,7 +444,7 @@
 		List<Property> properties = vocabularies.get(0).getProperties();
 		for (Index voc : vocabularies) {
 			if (!properties.equals(voc.getProperties())) {
-				Log.warning(NLS.bind(Messages.ComputeLexicalTable_6, properties));
+				Log.warning(NLS.bind(RCPMessages.ComputeLexicalTable_6, properties));
 				return false;
 			}
 		}
@@ -453,14 +453,14 @@
 		Partition firstPartition = firstIndex.getPartition();
 		for (Index voc : vocabularies) {
 			if (!firstPartition.equals(voc.getPartition())) {
-				Log.warning(NLS.bind(Messages.ComputeLexicalTable_7, firstPartition));
+				Log.warning(NLS.bind(RCPMessages.ComputeLexicalTable_7, firstPartition));
 				return false;
 			}
 		}
 		
 		final Property property = properties.get(0);
 
-		JobHandler jobhandler = new JobHandler(Messages.bind(Messages.ComputeLexicalTable_0, firstIndex.getName())) {
+		JobHandler jobhandler = new JobHandler(RCPMessages.bind(RCPMessages.ComputeLexicalTable_0, firstIndex.getName())) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
@@ -476,14 +476,14 @@
 					firstIndex.addResult(table);
 					monitor.worked(5);
 
-					monitor.subTask(Messages.ComputeLexicalTable_10);
+					monitor.subTask(RCPMessages.ComputeLexicalTable_10);
 					syncExec(new Runnable() {
 						@Override
 						public void run() {
 							IWorkbenchPage page = window.getActivePage();
 							LexicalTableEditorInput editorInput = new LexicalTableEditorInput(table);
 							try {
-								StatusLine.setMessage(Messages.ComputeLexicalTable_10);
+								StatusLine.setMessage(RCPMessages.ComputeLexicalTable_10);
 								page.openEditor(editorInput,
 										"org.txm.rcp.editors.lexicaltable.LexicalTableEditor"); //$NON-NLS-1$
 							} catch (PartInitException e) {
@@ -496,7 +496,7 @@
 					if (monitor.isCanceled())
 						return Status.CANCEL_STATUS;
 
-					monitor.subTask(Messages.ComputeSpecifities_2);
+					monitor.subTask(RCPMessages.ComputeSpecifities_2);
 					syncExec(new Runnable() {
 						@Override
 						public void run() {
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 512)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 513)
@@ -70,7 +70,7 @@
 import org.txm.index.core.preferences.IndexPreferences;
 import org.txm.index.rcp.messages.IndexUIMessages;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditorPart;
 import org.txm.rcp.editors.TXMResultEditorInput;
@@ -282,9 +282,9 @@
 
 						final String message;
 						if (index.getV() == 1)
-							message = (Messages.ConcordancesEditor_52);
+							message = (RCPMessages.ONE_RESULT);
 						else if (index.getV() > 0)
-							message = (Messages.bind(Messages.CreatePartition_55, index.getV(), index.getT()));
+							message = (RCPMessages.bind(RCPMessages.CreatePartition_55, index.getV(), index.getT()));
 						else
 							message = (TXMCoreMessages.COMPUTE_DONE_NO_RESULT);
 
@@ -320,7 +320,7 @@
 						e.printStackTrace();
 						System.out.println(e.getLocalizedMessage());
 						try {
-							System.out.println(Messages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+							System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
 						} catch (Exception e1) {
 							System.out.println(IndexUIMessages.IndexEditor_10+e1);
 							org.txm.rcp.utils.Logger.printStackTrace(e1);
@@ -439,7 +439,7 @@
 
 		//propsArea
 		go = new Button(queryArea, SWT.BOLD);
-		go.setText(Messages.SEARCH);
+		go.setText(RCPMessages.SEARCH);
 
 		Font f = go.getFont();
 		FontData defaultFont = f.getFontData()[0];
@@ -679,13 +679,13 @@
 		nColumn.pack();
 
 		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
-		unitColumn.setText(Messages.ReferencerEditor_9);
-		unitColumn.setToolTipText(Messages.ReferencerEditor_9);
+		unitColumn.setText(RCPMessages.ReferencerEditor_9);
+		unitColumn.setToolTipText(RCPMessages.ReferencerEditor_9);
 		unitColumn.setWidth(200);
 		unitColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(Messages.SORT_COLUMN);
+				StatusLine.setMessage(RCPMessages.SORT_COLUMN);
 				if (viewer.getTable().getSortColumn() != unitColumn) {
 					viewer.getTable().setSortColumn(unitColumn);
 					viewer.getTable().setSortDirection(SWT.UP);
@@ -700,7 +700,7 @@
 					}
 				}
 
-				StatusLine.setMessage(Messages.SORT_DONE);
+				StatusLine.setMessage(RCPMessages.SORT_DONE);
 				fillDisplayArea(topLine, bottomLine);
 			}
 
@@ -712,14 +712,14 @@
 		freqColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
 		try {
 			if (index.getPartition() != null)
-				freqColumn.setText(Messages.FrequencyListEditorInput_4+" T="+index.getPartition().getTotalSize()); //$NON-NLS-1$
+				freqColumn.setText(RCPMessages.FrequencyListEditorInput_4+" T="+index.getPartition().getTotalSize()); //$NON-NLS-1$
 			else
-				freqColumn.setText(Messages.FrequencyListEditorInput_4);
+				freqColumn.setText(RCPMessages.FrequencyListEditorInput_4);
 		} catch (CqiClientException e2) {
 			// TODO Auto-generated catch block
 			org.txm.rcp.utils.Logger.printStackTrace(e2);
 		}
-		freqColumn.setToolTipText(Messages.FrequencyListEditorInput_4);
+		freqColumn.setToolTipText(RCPMessages.FrequencyListEditorInput_4);
 		freqColumn.setWidth(100);
 		freqColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -737,7 +737,7 @@
 						index.sortLines(SortMode.FREQUNIT, false);
 					}
 				}
-				StatusLine.setMessage(Messages.SORT_DONE);
+				StatusLine.setMessage(RCPMessages.SORT_DONE);
 				fillDisplayArea(topLine, bottomLine);
 			}
 
Index: tmp/org.txm.internalview.rcp/src/org/txm/rcp/internal/rcp/handler/ComputeInternalView.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/rcp/internal/rcp/handler/ComputeInternalView.java	(revision 512)
+++ tmp/org.txm.internalview.rcp/src/org/txm/rcp/internal/rcp/handler/ComputeInternalView.java	(revision 513)
@@ -70,11 +70,11 @@
 
 		IWorkbenchPage page = window.getActivePage();
 		try {
-			StatusLine.setMessage(org.txm.rcp.Messages.OK);
+			StatusLine.setMessage(org.txm.rcp.RCPMessages.OK);
 			page.openEditor(editorInput, InternalViewEditor.ID); //$NON-NLS-1$
 		
 		} catch (PartInitException e) {
-			System.err.println(org.txm.rcp.Messages.OK+ e);
+			System.err.println(org.txm.rcp.RCPMessages.OK+ e);
 		}
 
 		return null;
Index: tmp/org.txm.internalview.rcp/src/org/txm/internal/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internal/rcp/editors/InternalViewEditor.java	(revision 512)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internal/rcp/editors/InternalViewEditor.java	(revision 513)
@@ -263,7 +263,7 @@
 
 		Button ok = new Button(formPanel, SWT.PUSH);
 		ok.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
-		ok.setText(org.txm.rcp.Messages.REFRESH);
+		ok.setText(org.txm.rcp.RCPMessages.REFRESH);
 		ok.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
Index: tmp/org.txm.internalview.rcp/.classpath
===================================================================
--- tmp/org.txm.internalview.rcp/.classpath	(revision 512)
+++ tmp/org.txm.internalview.rcp/.classpath	(revision 513)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 512)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 513)
@@ -29,7 +29,7 @@
 import org.txm.progression.core.chartsengine.base.ProgressionChartCreator;
 import org.txm.progression.core.chartsengine.base.Utils;
 import org.txm.progression.core.functions.Progression;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.synoptic.commands.OpenEdition;
 import org.txm.rcp.synoptic.editor.EditionPanel.RGBA;
@@ -331,7 +331,7 @@
 			
 		}
 		catch (PartInitException e) {
-			System.err.println(NLS.bind(Messages.GetConcordances_4, e));
+			System.err.println("Error: "+e.getLocalizedMessage());
 		}
 
 		linkedEditor.setQuery(query);
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 512)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 513)
@@ -50,7 +50,7 @@
 import org.txm.progression.rcp.dialogs.ProgressionDialog;
 import org.txm.progression.rcp.forms.ProgressionParametersComposite;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.utils.JobHandler;
@@ -274,7 +274,7 @@
 					}
 					monitor.worked(45);
 
-					monitor.subTask(Messages.RefreshingCorporaView);
+					monitor.subTask(RCPMessages.RefreshingCorporaView);
 					CorporaView.storeResult(corpus, progression);
 					
 					monitor.worked(5);
@@ -286,7 +286,7 @@
 					System.out.println(NLS.bind(ProgressionCoreMessages.ComputeProgression_13, e));
 					Log.severe(ProgressionCoreMessages.ComputeProgression_13 + Log.toString(e));
 					try {
-						System.out.println(Messages.LastCQPError + CQPEngine.getCqiClient().getLastCQPError());
+						System.out.println(RCPMessages.LastCQPError + CQPEngine.getCqiClient().getLastCQPError());
 					} catch (Exception e1) {
 						System.out.println(ProgressionCoreMessages.ComputeProgression_1 + e1);
 						Log.printStackTrace(e1);
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java	(revision 512)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java	(revision 513)
@@ -60,7 +60,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.rcp.preferences.TXMPreferenceStore;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.swt.widget.AssistedQueryWidget;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -195,7 +195,7 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(Messages.ProgressionDialog_0);
+		newShell.setText(RCPMessages.ProgressionDialog_0);
 		newShell.setMinimumSize(300, 460);
 
 	}
@@ -258,20 +258,20 @@
 			// controls
 			// graph param
 			Label typeLabel = new Label(paramPanel, SWT.NONE);
-			typeLabel.setText(Messages.ProgressionDialog_1);
+			typeLabel.setText(RCPMessages.ProgressionDialog_1);
 			typeLabel.setAlignment(SWT.CENTER);
 
 			cumuButton = new Button(paramPanel, SWT.RADIO);
-			cumuButton.setText(Messages.ProgressionDialog_2);
+			cumuButton.setText(RCPMessages.ProgressionDialog_2);
 			cumuButton.setSelection(cumulative);
 
 			Button densityButton = new Button(paramPanel, SWT.RADIO);
-			densityButton.setText(Messages.ProgressionDialog_3);
+			densityButton.setText(RCPMessages.ProgressionDialog_3);
 			densityButton.setSelection(!cumulative);
 
 			//Bande size
 			typeLabel = new Label(paramPanel, SWT.NONE);
-			typeLabel.setText(Messages.ProgressionDialog_11);
+			typeLabel.setText(RCPMessages.ProgressionDialog_11);
 			typeLabel.setAlignment(SWT.CENTER);
 
 			bandeField = new Text(paramPanel, SWT.BORDER);
@@ -280,13 +280,13 @@
 					GridData.FILL, true, true, 2, 1));
 			// Structural units param
 			Group displayParam = new Group(paramPanel, SWT.BORDER);
-			displayParam.setText(Messages.ProgressionDialog_13);
+			displayParam.setText(RCPMessages.ProgressionDialog_13);
 			displayParam.setLayout(new GridLayout(3, true));
 			displayParam.setLayoutData(new GridData(GridData.FILL,
 					GridData.FILL, true, true, 3, 1));
 
 			Label structLabel = new Label(displayParam, SWT.NONE);
-			structLabel.setText(Messages.ProgressionDialog_4);
+			structLabel.setText(RCPMessages.ProgressionDialog_4);
 			structLabel.setAlignment(SWT.CENTER);
 
 			structuralUnitsCombo = new Combo(displayParam, SWT.READ_ONLY);
@@ -311,7 +311,7 @@
 					structuralUnitsCombo.add(unit.getName());
 				}
 			} catch (Exception e) {
-				Log.severe(Messages.ObjectExplorer_9
+				Log.severe(RCPMessages.ObjectExplorer_9
 						+ Log.toString(e));
 				return null;
 			}
@@ -335,7 +335,7 @@
 
 			// property value field
 			Label regexLabel = new Label(displayParam, SWT.NONE);
-			regexLabel.setText(Messages.ProgressionDialog_7);
+			regexLabel.setText(RCPMessages.ProgressionDialog_7);
 			regexLabel.setAlignment(SWT.CENTER);
 
 			regexValue = new Text(displayParam, SWT.SINGLE | SWT.BORDER);
@@ -344,12 +344,12 @@
 
 			//spacer
 			styleButton = new Button(displayParam, SWT.CHECK);
-			styleButton.setText(Messages.ProgressionDialog_14);
+			styleButton.setText(RCPMessages.ProgressionDialog_14);
 			styleButton.setSelection(monostyle);
 
 			//Repeat options
 			repeatButton = new Button(displayParam, SWT.CHECK);
-			repeatButton.setText(Messages.ProgressionDialog_15);
+			repeatButton.setText(RCPMessages.ProgressionDialog_15);
 			repeatButton.setSelection(repeatvalues);
 
 			//Color options
@@ -359,13 +359,13 @@
 
 			// queries param
 			Label focusLabel = new Label(paramPanel, SWT.NONE);
-			focusLabel.setText(Messages.ProgressionDialog_8);
+			focusLabel.setText(RCPMessages.ProgressionDialog_8);
 			focusLabel.setAlignment(SWT.CENTER);
 
 			Button plusButton = new Button(paramPanel, SWT.NONE);
 			plusButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 					true, true));
-			plusButton.setText(Messages.ProgressionDialog_9);
+			plusButton.setText(RCPMessages.ProgressionDialog_9);
 			plusButton.addListener(SWT.Selection, new Listener() {
 				@Override
 				public void handleEvent(Event event) {
@@ -382,7 +382,7 @@
 			Button minusButton = new Button(paramPanel, SWT.NONE);
 			minusButton.setLayoutData(new GridData(GridData.FILL,
 					GridData.FILL, true, true));
-			minusButton.setText(Messages.ProgressionDialog_5);
+			minusButton.setText(RCPMessages.ProgressionDialog_5);
 			minusButton.addListener(SWT.Selection, new Listener() {
 				@Override
 				public void handleEvent(Event event) {
@@ -466,7 +466,7 @@
 			if (regexpropertyValue.length() == 0)
 				regexpropertyValue = null;
 		} catch (PatternSyntaxException e) {
-			System.out.println(Messages.ProgressionDialog_10 + e);
+			System.out.println(RCPMessages.ProgressionDialog_10 + e);
 		}
 
 		cumulative = cumuButton.getSelection();
@@ -481,8 +481,8 @@
 
 			}catch(Exception e){
 				bandemultiplier = 1.0f;
-				System.out.println(Messages.ProgressionDialog_17+e);
-				StatusLine.error(Messages.ProgressionDialog_17+e);
+				System.out.println(RCPMessages.ProgressionDialog_17+e);
+				StatusLine.error(RCPMessages.ProgressionDialog_17+e);
 			}
 		}
 		else
